strip(1)

NAME
strip - Discard symbols from object files.

SYNOPSIS

strip
    [-F bfdname | --target=bfdname] [-I bfdname | --input-target=bfdname] [-O bfdname | --output-target=bfdname] [-R sectionname | --remove-section=sectionname] [-s | --strip-all] [-S | -g | --strip-debug] [--strip-unneeded] [-x | --discard-all] [-X | --discard-locals] [-K symbolname | --keep-symbol=symbolname] [-N symbolname | --strip-symbol=symbolname] [-o file] [-p | --preserve-dates] [-v | --verbose] [-V | --version] [-V | --help] objfile ...

DESCRIPTION
GNU strip discards all symbols from the object files objfile. The list of object files may include archives. At least one object file must be given.

strip modifies the files named in its argument, rather than writing modified copies under different names.

OPTIONS

-F bfdname

--target=bfdname
    Treat the original objfile as a file with the object code format bfdname, and rewrite it in the same format.

--help
    Show a summary of the options to strip and exit.

-I bfdname

--input-target=bfdname
    Treat the original objfile as a file with the object code format bfdname.

-O bfdname

--output-target=bfdname
    Replace objfile with a file in the output format bfdname.

-R sectionname

--remove-section=sectionname
    Remove the named section from the file. This option may be given more than once. Note that using this option inappropriately may make the object file unusable.

-s

--strip-all
    Remove all symbols.

-S

-g

--strip-debug
    Remove debugging symbols only.

--strip-unneeded
    Strip all symbols that are not needed for relocation processing.

-N symbolname

--strip-symbol=symbolname
    Remove symbol symbolname from the source file. This option may be given more than once, and may be combined with other strip options.

-o file
    Put the stripped output in file, rather than replacing the existing file. When this argument is used, only one objfile argument may be specified.

-p

--preserve-dates
    Preserve the access and modification dates of the file.

-x

--discard-all
    Remove non-global symbols.

-X

--discard-locals
    Remove compiler-generated local symbols. (These usually start with ``L'' or ``.''.)

-K symbolname, --keep-symbol=symbolname
    Copy only symbol symbolname from the source file. This option may be given more than once.

-N symbolname, --strip-symbol=symbolname
    Do not copy symbol symbolname from the source file. This option may be given more than once, and may be combined with strip options other than -K.

-v

--verbose
    Verbose output: list all object files modified. In the case of archives, strip -v lists all members of the archive.

-V

--version
    Show the version number for strip and exit.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (October 1991).

COPYING
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.